Name:           flare-signal
Version:        0.13.0
Release:        1%{?dist}
Summary:        An unofficial app for Signal.

License:        APGL-3.0
URL:            https://gitlab.com/schmiddi-on-mobile/flare
Source0:        https://gitlab.com/schmiddi-on-mobile/flare/-/archive/%{version}/flare-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  meson
BuildRequires:  pkgconfig(gtksourceview-5)
BuildRequires:  blueprint-compiler
BuildRequires:  pkgconfig(libspelling-1)
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  libadwaita-devel
BuildRequires:  protobuf-compiler

Requires:       libsecret
Requires:       libglvnd-gles

Recommends:     feedbackd


%description
Flare is an unofficial app for Signal. It is still in development and doesn't include all the features that the official Signal apps do. More information can be found on its feature roadmap.

Please note that using this application will probably worsen your security compared to using official Signal applications. Use with care when handling sensitive data. Look at the projects README for more information about security.


%prep
%autosetup -n flare-%{version}


%build
%meson
%meson_build


%install
%meson_install
%find_lang flare


%files -f flare.lang
%license LICENSE
%doc README.md
%{_bindir}/flare
%{_datadir}/applications/de.schmidhuberj.Flare.desktop
%{_datadir}/dbus-1/services/de.schmidhuberj.Flare.service
%{_datadir}/glib-2.0/schemas/de.schmidhuberj.Flare.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/de.schmidhuberj.Flare.svg
%{_datadir}/icons/hicolor/symbolic/apps/de.schmidhuberj.Flare-symbolic.svg
%{_datadir}/metainfo/de.schmidhuberj.Flare.metainfo.xml


%changelog
%autochangelog 
